Subject: bug#78880: od Heap-buffer overflow

From: Collin Funk <[email-masked]>
Date: Fri, 27 Jun 2025 09:45:03 -0700

Hi Grisha,

Grisha Levit <[email-masked]> writes:

>> Grisha, what did you pass to ./configure?
>>
>> I'm suprised we don't disable this in Gnulib. Since there we do:
>>
>>     static_assert (1 < sizeof (example))
>>
>> Without a second argument message string, I would expect Clang to
>> complain about it, unless we disable it.
>
> Sorry, TBH I didn't do a proper build, I just remembered the
> discussion at [1] while reading the patch.
>
> [1] https://lists.gnu.org/r/bug-gnulib/2024-04/msg00044.html

No problem at all, I was just curious.

Gnulib can add support for C23's single argument static_assert if the
compiler does not support it, but cannot make it support declarations
after labels. So good catch on your part.

Thanks!
Collin